#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           korganizer
Summary:        Calendar and scheduling component
Epoch:          2
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)

# Find KF5 package
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Holidays)

# Find KdepimLibs Package
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5MailTransportAkonadi)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(Phonon4Qt5)

BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiNotes)

BuildRequires:  cmake(KF5PimCommonAkonadi)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5IncidenceEditor)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5EventViews)

BuildRequires:  cmake(KUserFeedback)

Requires:       akonadi-calendar-tools
Requires:       akonadi-kde
Requires:       akonadi-search
Requires:       kdepim-addons


%description
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -f %name.lang
%_kf5_categoriesdir/korganizer.categories
%_kf5_categoriesdir/korganizer.renamecategories
%_kf5_bindir/korganizer
%_kf5_datadir/knsrcfiles/korganizer.knsrc
%_qt5_plugindir/korganizerpart.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configcolorsandfonts.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configdesignerfields.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configfreebusy.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configgroupscheduling.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configmain.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configplugins.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configtime.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_configviews.so
%_qt5_plugindir/pim5/kcms/korganizer/korganizer_userfeedback.so
%_kf5_metainfodir/org.kde.korganizer.appdata.xml
%_kf5_applicationsdir/org.kde.korganizer.desktop
%_kf5_applicationsdir/korganizer-import.desktop
%_kf5_applicationsdir/korganizer-view.desktop
%_kf5_datadir/config.kcfg/korganizer.kcfg
%_kf5_datadir/korganizer
%_datadir/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
# Kontact integration
%_qt5_plugindir/pim5/kontact/kontact_korganizerplugin.so
%_qt5_plugindir/pim5/kontact/kontact_journalplugin.so
%_qt5_plugindir/pim5/kontact/kontact_specialdatesplugin.so
%_qt5_plugindir/pim5/kontact/kontact_todoplugin.so
%_qt5_plugindir/pim5/kcms/summary/kcmapptsummary.so
%_qt5_plugindir/pim5/kcms/summary/kcmsdsummary.so
%_qt5_plugindir/pim5/kcms/summary/kcmtodosummary.so
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/dbus-1/services/org.kde.korganizer.service

#------------------------------------------------------------------------------

%define korganizer_core_major 5
%define libkorganizer_core %mklibname korganizer_core %korganizer_core_major

%package -n %libkorganizer_core
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizer_core
KDEPIM library.

%files -n %libkorganizer_core
%_kf5_libdir/libkorganizer_core.so.%{korganizer_core_major}{,.*}

#------------------------------------------------------------------------------

%define korganizer_interfaces_major 5
%define libkorganizer_interfaces %mklibname korganizer_interfaces %korganizer_interfaces_major

%package -n %libkorganizer_interfaces
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizer_interfaces
KDEPIM library.

%files -n %libkorganizer_interfaces
%_kf5_libdir/libkorganizer_interfaces.so.%{korganizer_interfaces_major}{,.*}

#------------------------------------------------------------------------------

%define korganizerprivate_major 5
%define libkorganizerprivate %mklibname korganizerprivate %korganizerprivate_major

%package -n %libkorganizerprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizerprivate
KDEPIM library.

%files -n %libkorganizerprivate
%_kf5_libdir/libkorganizerprivate.so.%{korganizerprivate_major}{,.*}

#------------------------------------------------------------------------------

%define devel %mklibname %name -d

%package -n %devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkorganizer_core = %epoch:%version
Requires:       %libkorganizer_interfaces = %epoch:%version
Requires:       %libkorganizerprivate = %epoch:%version
Provides:       %{name}-devel = %epoch:%version-%release

%description -n %devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %devel
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%package -n korganizer-handbook
Summary:        Korganizer Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       korganizer >= %{epoch}:%{version}-%{release}

%description -n korganizer-handbook
This package provides korganizer handbook.

%files -n korganizer-handbook
%_kf5_docdir/HTML/*/korganizer

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958226
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946538
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941831
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922952
- New version 22.12.0

* Thu Dec 01 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1913829
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905298
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886817
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883323
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873113
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854006
- New version 22.04.0

* Sat Apr 23 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852879
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766046
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724105
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718390
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698593
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694119
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655649
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644034
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633850
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627093
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617412
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604157
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596895
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585783
- New version 20.04.1

* Sun Apr 19 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569722
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568171
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559360
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540907
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513330
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466988
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457936
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447876
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425028
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390483
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387690
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382765
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375666
- New version 18.12.3

* Tue Mar 12 2019 daviddavid <daviddavid> 2:18.12.2-2.mga7
+ Revision: 1374490
- add some missing dependencies

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365606
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356541
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339548
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332778
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327432
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298627
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229035
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201928
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194950
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191182
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143080
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136814
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133583
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131763
- New version 17.04.3

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1091976
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090111
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076855
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075330
- imported package korganizer

